Subject: Re: [PATCH 2/2] powerpc: pcm030/032: add pagesize to dts

From: Mitch Bradley <[email-masked]>
Date: Mon, 15 Nov 2010 12:17:51 -1000

In general I think it's better to report parameter values directly, 
instead of inferring them from manufacturer and part numbers.  That way 
you at least have a fighting chance of avoiding a kernel upgrade when a 
part changes.

Of course, that only works when the device tree is exported from the 
boot firmware instead of having to carry the device tree inside the kernel.